Update state settings
curl --request PUT \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/state \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"state": {
"defaultContextExpression": "{{request.headers.X-Session-Id}}"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/state"
payload = { "state": { "defaultContextExpression": "{{request.headers.X-Session-Id}}" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({state: {defaultContextExpression: '{{request.headers.X-Session-Id}}'}})
};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/settings/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": {
"defaultContextExpression": "<string>"
}
}"Credentials are required to access this resource."{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}Settings
Update state settings
PUT
/
v1
/
mock-apis
/
{mockApiId}
/
settings
/
state
Update state settings
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
Body
application/json
State management settings for the mock API.
Show child attributes
Show child attributes
Response
Settings successfully updated
State management settings for the mock API.
Show child attributes
Show child attributes
⌘I